SUBDIRS = chrome

EXTRA_DIST =          \
    chrome.manifest   \
    install.rdf       

if HAVE_ZIP
all:
	@cd $(top_builddir)/xpi/chrome && zip bmp.jar	\
		content/bmp/about.xul		\
		content/bmp/BMPOverlay.xul	\
		content/bmp/contents.rdf	\
		content/bmp/BMPOverlay.js	\
		skin/classic/bmp/about.css	\
		skin/classic/bmp/contents.rdf 
	@zip bmp.xpi chrome/bmp.jar install.rdf chrome.manifest
	@echo
	@echo "Run 'firefox $(realpath) bmp.xpi' to install the BMP-LastFM extension to"
	@echo "associate BMP with lastfm:// URIs"
	@echo
else
all:
	@echo "Can't build XPI: ZIP not present"
endif

CLEANFILES = Makefile bmp.xpi
DISTCLEANFILES = $(CLEANFILES) 
